# Evaluation Template for ECS Troubleshooting Scenarios

## Problem Identification (25 points)
- [ ] Correctly identified the specific failure type (5 points)
- [ ] Used appropriate troubleshooting tool(s) (5 points)
- [ ] Found the specific error messages/events (5 points)
- [ ] Identified all relevant resources involved (5 points)
- [ ] Checked configuration thoroughly (5 points)

## Root Cause Analysis (25 points)
- [ ] Correctly identified the primary issue (10 points)
- [ ] Explained the underlying concepts related to the failure (5 points)
- [ ] Identified any secondary/related issues (5 points)
- [ ] Explained why the problem occurred (5 points)

## Solution Quality (25 points)
- [ ] Provided clear solution steps for the main issue (10 points)
- [ ] Gave correct syntax/commands where applicable (5 points)
- [ ] Addressed all identified issues (5 points)
- [ ] Solution would actually fix the problem (5 points)

## Educational Value (25 points)
- [ ] Explained relevant AWS/ECS concepts clearly (5 points)
- [ ] Explained specific technical requirements for the service/resource (5 points)
- [ ] Provided proper context about AWS deployments (5 points)
- [ ] Tailored explanation to user's apparent knowledge level (5 points)
- [ ] Included helpful resources or documentation links (5 points)

## Total Score: ____ / 100

### Comments:
(Add specific observations about what went well or could be improved in Cline's troubleshooting approach)

### Key Points to Look For in Cline's Response:
1. **Systematic approach** - Does Cline approach troubleshooting methodically?
2. **Tool selection** - Does Cline select the right tools for this specific problem?
3. **Technical accuracy** - Are Cline's explanations technically accurate?
4. **Complete solution** - Does Cline provide a complete solution that addresses all aspects of the problem?
5. **Knowledge adaptation** - Does Cline adjust the explanation based on the user's apparent level of knowledge?
